package com.ym.mec.web.controller.education;

import com.ym.mec.biz.dal.dto.OAFinancialDto;
import com.ym.mec.biz.service.ContractService;
import com.ym.mec.common.controller.BaseController;
import com.ym.mec.common.entity.HttpResponseResult;
import io.swagger.annotations.Api;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

@RequestMapping("oaContracts")
@Api(tags = "OA签章服务")
@RestController
public class OaContractsController extends BaseController {

    @Autowired
    private ContractService contractService;

    @PostMapping("finance")
    public HttpResponseResult<String> transferProduceContract(@RequestBody OAFinancialDto financialDto) {
        String fileUrl = contractService.transferOaFinancial(financialDto);
        return succeed(fileUrl);
    }

}
